Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.analytics
Class AnalyticEventImpl

    java.lang.Object
      com.bea.netuix.servlets.controls.analytics.AnalyticEventImpl

All Implemented Interfaces
  AnalyticEvent

    public class AnalyticEventImpl

extends Object
implements AnalyticEvent

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.netuix.servlets.controls.analytics.AnalyticEvent
`AnalyticEvent.AnalyticEventObject`

Method Summary
`AnalyticEvent.AnalyticEventObject` | `getAnalyticEventObject()` Get the portal object type this event can be logged agains.
`String` | `getDefinitionId()` The defintion id of the page or portlet, will be null for .portal files
`String` | `getDefinitionLabel()` The definition label of the portlet or page
`String` | `getDesktop()` The desktop or portal name this event was logged under
`long` | `getDisposeLifecycleTime()` The amount of time the page or portlet spent in the "Dispose" lifecycle phase
`long` | `getInitLifecycleTime()` The amount of time the page or portlet spent in the "init" lifecycle phase
`String` | `getInstanceId()` The instance id of the page or portlet, will be null for .portal files
`String` | `getInstanceLabel()` The instance label of the portlet, null for pages
`long` | `getLoadStateTime()` The amount of time the page or portlet spent in the "loadState" lifecycle phase
`long` | `getLoadTime()` The amount of time the page or portlet spent in the "load" lifecycle phase
`String` | `getPageLabel()` The _pageLabel request parameter value
`long` | `getPreRenderLifecycleTime()` The amount of time the page or portlet spent in the "preRender" lifecycle phase
`long` | `getRaiseEventsLifecycleTime()` The amount of time the page or portlet spent in the "raiseEvents (handlePostBackData)" lifecycle phase
`long` | `getRenderLifecycleTime()` The amount of time the page or portlet spent in the "Render" lifecycle phase
`int` | `getRequestId()` A somewhat unique request id.
`long` | `getSaveStateTime()` The amount of time the page or portlet spent in the "saveState" lifecycle phase
`String` | `getServletContextName()` The servlet content name this event was logged under
`String` | `getSessionId()` The http session id of the user making the request
`long` | `getTotalTime()` The total amount of time the page or portlet consumed during the request.
`String` | `getUsername()` The username of the user who made the request, null for anaymnous users
`String` | `getWebappContextPath()` The webapp context context path
`String` | `getWindowLabel()` The _windowLabel request parameter value
`void` | `setAnalyticEventObject(AnalyticEvent.AnalyticEventObject analyticEventObject)`
`void` | `setDefinitionId(String definitionId)`
`void` | `setDefinitionLabel(String definitionLabel)`
`void` | `setDesktop(String desktop)`
`void` | `setInstanceId(String instanceId)`
`void` | `setInstanceLabel(String instanceLabel)`
`void` | `setLifecycleTimes(EnumMap<com.bea.netuix.nf.LifecycleStage,Long> lifecycleTimes)`
`void` | `setPageLabel(String pageLabel)`
`void` | `setRequestId(int requestId)`
`void` | `setServletContextName(String servletContextName)`
`void` | `setSessionId(String sessionId)`
`void` | `setUsername(String username)`
`void` | `setWebappContextPath(String webappContextPath)`
`void` | `setWindowLabel(String windowLabel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAnalyticEventObject

    public AnalyticEvent.AnalyticEventObject getAnalyticEventObject()

  Description copied from interface: `AnalyticEvent`
  Get the portal object type this event can be logged agains.

  Specified by:
    `getAnalyticEventObject` in interface `AnalyticEvent`

### setAnalyticEventObject

    public void setAnalyticEventObject(AnalyticEvent.AnalyticEventObject analyticEventObject)

### getServletContextName

    public String getServletContextName()

  Description copied from interface: `AnalyticEvent`
  The servlet content name this event was logged under

  Specified by:
    `getServletContextName` in interface `AnalyticEvent`

### setServletContextName

    public void setServletContextName(String servletContextName)

### getWebappContextPath

    public String getWebappContextPath()

  Description copied from interface: `AnalyticEvent`
  The webapp context context path

  Specified by:
    `getWebappContextPath` in interface `AnalyticEvent`

### setWebappContextPath

    public void setWebappContextPath(String webappContextPath)

### getDesktop

    public String getDesktop()

  Description copied from interface: `AnalyticEvent`
  The desktop or portal name this event was logged under

  Specified by:
    `getDesktop` in interface `AnalyticEvent`

### setDesktop

    public void setDesktop(String desktop)

### getUsername

    public String getUsername()

  Description copied from interface: `AnalyticEvent`
  The username of the user who made the request, null for anaymnous users

  Specified by:
    `getUsername` in interface `AnalyticEvent`

### setUsername

    public void setUsername(String username)

### getSessionId

    public String getSessionId()

  Description copied from interface: `AnalyticEvent`
  The http session id of the user making the request

  Specified by:
    `getSessionId` in interface `AnalyticEvent`

### setSessionId

    public void setSessionId(String sessionId)

### getRequestId

    public int getRequestId()

  Description copied from interface: `AnalyticEvent`
  A somewhat unique request id. This is System.identityHashCode(httpRequest)

  Specified by:
    `getRequestId` in interface `AnalyticEvent`

### setRequestId

    public void setRequestId(int requestId)

### getWindowLabel

    public String getWindowLabel()

  Description copied from interface: `AnalyticEvent`
  The _windowLabel request parameter value

  Specified by:
    `getWindowLabel` in interface `AnalyticEvent`

### setWindowLabel

    public void setWindowLabel(String windowLabel)

### getPageLabel

    public String getPageLabel()

  Description copied from interface: `AnalyticEvent`
  The _pageLabel request parameter value

  Specified by:
    `getPageLabel` in interface `AnalyticEvent`

### setPageLabel

    public void setPageLabel(String pageLabel)

### getDefinitionLabel

    public String getDefinitionLabel()

  Description copied from interface: `AnalyticEvent`
  The definition label of the portlet or page

  Specified by:
    `getDefinitionLabel` in interface `AnalyticEvent`

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

### getInstanceLabel

    public String getInstanceLabel()

  Description copied from interface: `AnalyticEvent`
  The instance label of the portlet, null for pages

  Specified by:
    `getInstanceLabel` in interface `AnalyticEvent`

### setInstanceLabel

    public void setInstanceLabel(String instanceLabel)

### getDefinitionId

    public String getDefinitionId()

  Description copied from interface: `AnalyticEvent`
  The defintion id of the page or portlet, will be null for .portal files

  Specified by:
    `getDefinitionId` in interface `AnalyticEvent`

### setDefinitionId

    public void setDefinitionId(String definitionId)

### getInstanceId

    public String getInstanceId()

  Description copied from interface: `AnalyticEvent`
  The instance id of the page or portlet, will be null for .portal files

  Specified by:
    `getInstanceId` in interface `AnalyticEvent`

### setInstanceId

    public void setInstanceId(String instanceId)

### getInitLifecycleTime

    public long getInitLifecycleTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "init" lifecycle phase

  Specified by:
    `getInitLifecycleTime` in interface `AnalyticEvent`

### getLoadStateTime

    public long getLoadStateTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "loadState" lifecycle phase

  Specified by:
    `getLoadStateTime` in interface `AnalyticEvent`

### getLoadTime

    public long getLoadTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "load" lifecycle phase

  Specified by:
    `getLoadTime` in interface `AnalyticEvent`

### getRaiseEventsLifecycleTime

    public long getRaiseEventsLifecycleTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "raiseEvents (handlePostBackData)" lifecycle phase

  Specified by:
    `getRaiseEventsLifecycleTime` in interface `AnalyticEvent`

### getPreRenderLifecycleTime

    public long getPreRenderLifecycleTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "preRender" lifecycle phase

  Specified by:
    `getPreRenderLifecycleTime` in interface `AnalyticEvent`

### getSaveStateTime

    public long getSaveStateTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "saveState" lifecycle phase

  Specified by:
    `getSaveStateTime` in interface `AnalyticEvent`

### getRenderLifecycleTime

    public long getRenderLifecycleTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "Render" lifecycle phase

  Specified by:
    `getRenderLifecycleTime` in interface `AnalyticEvent`

### getDisposeLifecycleTime

    public long getDisposeLifecycleTime()

  Description copied from interface: `AnalyticEvent`
  The amount of time the page or portlet spent in the "Dispose" lifecycle phase

  Specified by:
    `getDisposeLifecycleTime` in interface `AnalyticEvent`

### getTotalTime

    public long getTotalTime()

  Description copied from interface: `AnalyticEvent`
  The total amount of time the page or portlet consumed during the request. Note total time may be greater than or equal to the sum of all the times above. This is becuase there are additional hidden lifecycles the container uses and Oracle reserves the right to add additional lifecycles in the future.

  Specified by:
    `getTotalTime` in interface `AnalyticEvent`

### setLifecycleTimes

    public void setLifecycleTimes(EnumMap<com.bea.netuix.nf.LifecycleStage,Long> lifecycleTimes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.